function f = fun7(alfa,data)
% APRENDIZAJE AUTOMTICO (G. Pajares y J.M. de la Cruz, Eds.)
% Editorial: RA-MA
% Captulo 1: Introduccin
% Autores: Jess Manuel de la Cruz Garca, Gonzalo Pajares Martinsanz
%
% Dada una serie data y unos parmetros alfa de la fdp normal
% calcula el riesgo emprico de los datos
m=alfa(1);s=alfa(2);
ye=zeros(size(data));
for i=1:size(data,1),
    ye(i)=1/sqrt(2*pi)/abs(s)*exp(-(data(i)-m)^2/2/s/s); 
end
N=length(data);
f=-1/N*sum(log(ye));