function res = sigmoide(x,a)
%
% Funcin de activacin sigmoide (logistica)
%
% res = sigmoide(x,a)
% 
% x:    Valores a evaluar en la sigmoide: 1/( 1+exp(-a*x) )
% a:    Peso de la sigmoide.
%
% res:  Valor de la sigmoide para cada uno de los valores de x.

% APRENDIZAJE AUTOMTICO (Gonzalo Pajares y Jess M. de la Cruz, Eds.)
% Editorial: RA-MA
% Captulo 4: Redes Neuronales Artificiales
% Autores: Jos Antonio Lpez Orozco


if (nargin==1),
   a=1;
end;


res = 1 ./ (1 + exp(-a*x));