%Initialize the variables of the problem

% APRENDIZAJE AUTOMTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Captulo 8: Monte Carlo II
% Autores: Eva Besada-Portas, Sergey M. Plis

%control signal (uc(:,1,:): linear velocity, uc(:,2,:): angular velocity
tram1=87;tram2=9;tram3=33;tram4=63;
uc(:,1,:)=[repmat(0.05,1,tram1),        repmat(0.02,1,tram2),         repmat(0.05,1,tram3), repmat(0.02,1,tram2),       repmat(0.05,1,tram4)];
uc(:,2,:)=[repmat(0,1,tram1),          1*pi/180*repmat(1,1,tram2),repmat(0,1,tram3),   1*pi/180*repmat(1,1,tram2),repmat(0,1,tram4)];

x0=[2 7 20*pi/180]'; %Initial position
dt=10; %Time step

covrobot=diag(([0.01 0.1*pi/180]).^2); %Covariance of the control signals in the transition model
covceil=(.05)^2; %Covariance of the ceiling height measurement
light=[4,0.6,0.2]; 
light=[2.5,0.6,0.4];
light=[3,0.6,0.4];  %[r,l_max,l_min]: drop off the power of the light, detection thresholds

