% APRENDIZAJE AUTOMTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Captulo 11: Razonamiento Basado en Casos
% Autores: ngela Ribeiro, Xavier P. Burgos Artizzu y Jess M. Conesa Muoz

% Filtrado de malas hierbas, mtodo F1 (antiguo F2)
% Analysis of natural images processing for the extraction of agricultural
% elements. Image Vision Comput. 28(1): 138-149 (2010)
function BW2 = F1(A,percent)
L = bwlabel(A);
stats = regionprops(L,'Area');
[f,c] = size(stats);
largest=0;
for i=1:f
    largest = max(largest,stats(i).Area);
end;
idx = find([stats.Area] >= percent*largest);
BW2 = ismember(L,idx);