% APRENDIZAJE AUTOMTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Captulo 5: Mquinas de Vectores Soporte
% Autores: Jess Antonio Vega Snchez y Sebastin Dormido Canto

function fig = STgui4()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.


h0 = figure('Color',[0.8 0.8 0.8], ...
	'MenuBar','none', ...
	'Name','Clasificador Scattering Thomson ', ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[302 143 434 457], ...
	'Tag','Fig1', ...
	'ToolBar','none');
h1 = uimenu('Parent',h0, ...
	'Label','Archivo', ...
	'Tag','marchivo');
h2 = uimenu('Parent',h1, ...
	'Callback','cargar', ...
	'Label','Cargar Ejemplo', ...
	'Tag','mcargar');
h2 = uimenu('Parent',h1, ...
	'Callback','close', ...
	'Label','Salir', ...
	'Tag','msalir');
h1 = uimenu('Parent',h0, ...
	'Label','Ayuda', ...
	'Tag','mayuda');
% h2 = uimenu('Parent',h1, ...
% 	'Label','Informe', ...
% 	'Tag','minforme');
h2 = uimenu('Parent',h1, ...
	'Callback','acercade', ...
	'Label','Acerca de ...', ...
	'Tag','macerca');
h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'Box','on', ...
	'CameraUpVector',[0 -1 0], ...
	'Color',[1 1 1], ...
	'FontSize',8, ...
	'Layer','top', ...
	'Position',[12 199 244 230], ...
	'Tag','Axes1', ...
	'Visible','off', ...
	'XColor',[0 0 0], ...
	'XLim',[0.5 385.5], ...
	'XLimMode','manual', ...
	'YColor',[0 0 0], ...
	'YDir','reverse', ...
	'YLim',[0.5 576.5], ...
	'YLimMode','manual', ...
	'ZColor',[0 0 0]);
h2 = image('Parent',h1, ...
	'CDataMapping','scaled', ...
	'Tag','Axes1Image1', ...
	'XData',[1 385], ...
	'YData',[1 576]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[192.2078189300411 631.8362445414847 9.160254037844386], ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','cap', ...
	'Visible','off');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-45.44650205761317 292.2729257641921 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text2', ...
	'VerticalAlignment','baseline', ...
	'Visible','off');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-18.51234567901235 -69.92794759825335 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','pintardato', ...
	'Position',[228.75 222 88.5 99], ...
	'Style','listbox', ...
	'Tag','ListBoxDatos', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[8.25 25.5 309.75 85.5], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','genera', ...
	'ListboxTop',0, ...
	'Position',[132.75 75 34.5 12.75], ...
	'String','Generar', ...
	'Tag','PushButtonGenera');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','entrenasvm', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[12 78 39 12.75], ...
	'String','Entrena', ...
	'Tag','PushButtonEntrena');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[9 323.25 183 12.75], ...
	'String','Imagen', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[228.75 324 85.5 12.75], ...
	'String','Datos', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[261.75 52.5 51.75 10.5], ...
	'String','Parmetros', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[261 91.5 51.75 10.5], ...
	'String','Kernel', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[262.5 34.5 50.25 15], ...
	'Style','edit', ...
	'Tag','EditTextParametros');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'ListboxTop',0, ...
	'Position',[229.5 148.5 85.5 69], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','adhdddv(3)', ...
	'ListboxTop',0, ...
	'Position',[234 164.25 27.75 10.5], ...
	'String','DD', ...
	'Style','radiobutton', ...
	'Tag','RadioButtonDD');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','adhdddv(1)', ...
	'ListboxTop',0, ...
	'Position',[233.25 190.5 20.25 10.5], ...
	'String','A', ...
	'Style','radiobutton', ...
	'Tag','RadioButtonA', ...
	'UserData','a', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','adhdddv(4)', ...
	'ListboxTop',0, ...
	'Position',[234 151.5 27.75 10.5], ...
	'String','DV', ...
	'Style','radiobutton', ...
	'Tag','RadioButtonDV');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','adhdddv(2)', ...
	'ListboxTop',0, ...
	'Position',[234 177.75 27.75 9.75], ...
	'String','DH', ...
	'Style','radiobutton', ...
	'Tag','RadioButtonDH');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[231.75 204.75 34.5 10.5], ...
	'String','Opcion', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[268.5 204.75 42.75 10.5], ...
	'String','Wavelet', ...
	'Style','text', ...
	'Tag','StaticTextW', ...
	'UserData','T');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[269.25 171.75 41.25 10.5], ...
	'String','Nivel', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[53.25 92.25 74.25 10.5], ...
	'String','Entrenamiento', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[170.75 91.5 84.25 10.5], ...
	'String','Test', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[51.75 32.25 77.25 59.25], ...
	'String',' ', ...
	'Style','listbox', ...
	'Tag','ListBoxEntrenamiento', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[132 91.5 36.75 10.5], ...
	'String','Generar', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[170.25 32.25 87 57.75], ...
	'String',' ', ...
	'Style','listbox', ...
	'Tag','ListBoxTest', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[12.75 92.25 36.75 10.5], ...
	'String','Cmd SVM', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[12 45 36.75 10.5], ...
	'String','Exito', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[12 33 36.75 10.5], ...
	'String','---', ...
	'Style','text', ...
	'Tag','StaticTextExito');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[155.25 135 33 10.5], ...
	'String','Dim', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[155.25 117.75 33 10.5], ...
	'String','576x385', ...
	'Style','text', ...
	'Tag','StaticTextDim');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','cambio', ...
	'ListboxTop',0, ...
	'Position',[269.25 187.5 42 14.25], ...
	'String',['haar ';'db2  ';'db3  ';'sym2 ';'sym3 ';'coif2';'coif3';'dmey '], ...
	'Style','popupmenu', ...
	'Tag','PopupMenuWavelet', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','cambio', ...
	'ListboxTop',0, ...
	'Position',[270 153.75 42 14.25], ...
	'String',['1';'2';'3';'4';'5';'6';'7';'8'], ...
	'Style','popupmenu', ...
	'Tag','PopupMenuNivel', ...
	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'Enable','off', ...
% 	'ListboxTop',0, ...
% 	'Position',[261.75 71.25 51 15.75], ...
% 	'String',['linear  ';'poly    ';'erbf    ';'rbf     ';'fourier ';'sigmoid ';'spline  ';'bspline '], ...
% 	'Style','popupmenu', ...
% 	'Tag','PopupMenuKernel', ...
% 	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[261.75 71.25 51 15.75], ...
	'String',['linear  ';'poly    ';'erbf    ';'rbf     ';'sigmoid '], ...
	'Style','popupmenu', ...
	'Tag','PopupMenuKernel', ...
	'Value',1);

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'ListboxTop',0, ...
	'Position',[8.25 4.5 309.75 18.75], ...
	'Style','frame', ...
	'Tag','Frame3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'ListboxTop',0, ...
	'Position',[9.75 5.25 46.5 15.75], ...
	'String','Proceso:', ...
	'Style','text', ...
	'Tag','StaticTextEst');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'ListboxTop',0, ...
	'Position',[58.5 6 98.25 15], ...
	'Style','text', ...
	'Tag','StaticTextEstado');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'ListboxTop',0, ...
	'Position',[182.25 5.25 88.5 16.5], ...
	'String','Tiempo Procesamiento:', ...
	'Style','text', ...
	'Tag','StaticTextTP');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'ListboxTop',0, ...
	'Position',[272.25 5.25 42.75 16.5], ...
	'Style','text', ...
	'Tag','StaticTextTiempo');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','clasificasvm', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[12 58.5 39 12.75], ...
	'String','Clasifica', ...
	'Tag','PushButtonClasifica');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','mapa', ...
	'ListboxTop',0, ...
	'Position',[7.5 114.75 57.75 15.75], ...
	'String',['jet   ';'pink  ';'cool  ';'gray  ';'hsv   ';'bone  ';'copper'], ...
	'Style','popupmenu', ...
	'Tag','PopupMenuCM', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[6.75 135 57.75 10.5], ...
	'String','ColorMap', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','vivw(1)', ...
	'ListboxTop',0, ...
	'Position',[87.75 123.75 41.25 9.75], ...
	'String','Imagen', ...
	'Style','radiobutton', ...
	'Tag','RadioButtonVI', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','vivw(2)', ...
	'ListboxTop',0, ...
	'Position',[87.75 112.5 45 9.75], ...
	'String','Wavelet', ...
	'Style','radiobutton', ...
	'Tag','RadioButtonVW');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0.250980392156863 0.501960784313725], ...
	'ForegroundColor',[1 1 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[87.75 135 33 10.5], ...
	'String','Vista', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[134.25 54.75 31.5 11.25], ...
	'String','Hold', ...
	'Style','checkbox', ...
	'Tag','CheckBoxHold');
if nargout > 0, fig = h0; end

%Inicializar
inicializar;

