% APRENDIZAJE AUTOMTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Captulo 11: Razonamiento Basado en Casos
% Autores: ngela Ribeiro, Xavier P. Burgos Artizzu y Jess M. Conesa Muoz

% Calculo automtico del estado de crecimiento del cultivo en una imagen
function estadoCrec = festadoCrec(im)

% Se utiliza el mtodo E2 para eliminar las lneas de cultivo,
% calculando el numero de pixeles eliminados
proporcion_eliminados = eliminaLineasE2(im);

% Dependiendo de la proporcion de pxeles eliminados (cultivo)
% se calcula el estado de crecimiento
% Si menor del 30% --> BAJO
% Si mayor del 30% y menor del 55% --> MEDIO
% Si mayor del 55% --> ALTO

if(proporcion_eliminados <= 0.30) estadoCrec = 3;
elseif(proporcion_eliminados <= 0.55) estadoCrec = 2;
else estadoCrec = 1;
end;
  