% APRENDIZAJE AUTOMTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Captulo 11: Razonamiento Basado en Casos
% Autores: ngela Ribeiro, Xavier P. Burgos Artizzu y Jess M. Conesa Muoz

% Similitud entre dos imgenes, mtodo S2 (Di Ges y Starovoitov, 1999)
function sim = similitud(im1,im2)
[f,c,x] = size(im1);

numerador = sum(sum(abs(im1-im2)));

denominador = sum(sum(im1+im2));

sim = 1 - sqrt((numerador(1,1)^2)+(numerador(1,2)^2)+(numerador(1,3)^2))/sqrt((denominador(1,1)^2)+(denominador(1,2)^2)+(denominador(1,3)^2));


